<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: RTCIceServer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_r_t_c_ice_server-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RTCIceServer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RTCIceServer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_r_t_c_ice_server.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a1efaa3395b55b0aaa021a967e0b1ea5b"><td class="memItemLeft" align="right" valign="top"><a id="a1efaa3395b55b0aaa021a967e0b1ea5b"></a>
(nonnull instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <b>NS_UNAVAILABLE</b></td></tr>
<tr class="separator:a1efaa3395b55b0aaa021a967e0b1ea5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3631f6e7ee6da832c46df7089c844165"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_ice_server.html#a3631f6e7ee6da832c46df7089c844165">initWithURLStrings:</a></td></tr>
<tr class="separator:a3631f6e7ee6da832c46df7089c844165"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fd266164ac3faab5d04bec50a472c11"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_ice_server.html#a3fd266164ac3faab5d04bec50a472c11">initWithURLStrings:username:credential:</a></td></tr>
<tr class="separator:a3fd266164ac3faab5d04bec50a472c11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bab5480d7e5486941e9a87985335d8a"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_ice_server.html#a5bab5480d7e5486941e9a87985335d8a">initWithURLStrings:username:credential:tlsCertPolicy:</a></td></tr>
<tr class="separator:a5bab5480d7e5486941e9a87985335d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ab6483fe8d81313902ef7a66637c34b53"><td class="memItemLeft" align="right" valign="top">NSArray&lt; NSString * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_ice_server.html#ab6483fe8d81313902ef7a66637c34b53">urlStrings</a></td></tr>
<tr class="separator:ab6483fe8d81313902ef7a66637c34b53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a3a091963a9843202b679bf8ca17cf5"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_ice_server.html#a0a3a091963a9843202b679bf8ca17cf5">username</a></td></tr>
<tr class="separator:a0a3a091963a9843202b679bf8ca17cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1d4a295bdf4b7fc69608cf17db3ce40"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_ice_server.html#ae1d4a295bdf4b7fc69608cf17db3ce40">credential</a></td></tr>
<tr class="separator:ae1d4a295bdf4b7fc69608cf17db3ce40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa6732bce2c22d0f0c3d70b670fd85d4"><td class="memItemLeft" align="right" valign="top">RTCTlsCertPolicy&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_ice_server.html#aaa6732bce2c22d0f0c3d70b670fd85d4">tlsCertPolicy</a></td></tr>
<tr class="separator:aaa6732bce2c22d0f0c3d70b670fd85d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a3631f6e7ee6da832c46df7089c844165"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3631f6e7ee6da832c46df7089c844165">&#9670;&nbsp;</a></span>initWithURLStrings:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (instancetype) initWithURLStrings: </td>
          <td></td>
          <td class="paramtype">(NSArray&lt; NSString * &gt; *)&#160;</td>
          <td class="paramname"><em>urlStrings</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convenience initializer for a server with no authentication (e.g. STUN). </p>

</div>
</div>
<a id="a3fd266164ac3faab5d04bec50a472c11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fd266164ac3faab5d04bec50a472c11">&#9670;&nbsp;</a></span>initWithURLStrings:username:credential:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (instancetype) <a class="el" href="interface_r_t_c_ice_server.html#a3631f6e7ee6da832c46df7089c844165">initWithURLStrings:</a> </td>
          <td></td>
          <td class="paramtype">(NSArray&lt; NSString * &gt; *)&#160;</td>
          <td class="paramname"><em>urlStrings</em></td>
        </tr>
        <tr>
          <td class="paramkey">username:</td>
          <td></td>
          <td class="paramtype">(nullable NSString *)&#160;</td>
          <td class="paramname"><em>username</em></td>
        </tr>
        <tr>
          <td class="paramkey">credential:</td>
          <td></td>
          <td class="paramtype">(nullable NSString *)&#160;</td>
          <td class="paramname"><em>credential</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_ice_server.html">RTCIceServer</a> with its associated URLs, optional username, optional credential, and credentialType. </p>

</div>
</div>
<a id="a5bab5480d7e5486941e9a87985335d8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bab5480d7e5486941e9a87985335d8a">&#9670;&nbsp;</a></span>initWithURLStrings:username:credential:tlsCertPolicy:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (instancetype) <a class="el" href="interface_r_t_c_ice_server.html#a3631f6e7ee6da832c46df7089c844165">initWithURLStrings:</a> </td>
          <td></td>
          <td class="paramtype">(NSArray&lt; NSString * &gt; *)&#160;</td>
          <td class="paramname"><em>urlStrings</em></td>
        </tr>
        <tr>
          <td class="paramkey">username:</td>
          <td></td>
          <td class="paramtype">(nullable NSString *)&#160;</td>
          <td class="paramname"><em>username</em></td>
        </tr>
        <tr>
          <td class="paramkey">credential:</td>
          <td></td>
          <td class="paramtype">(nullable NSString *)&#160;</td>
          <td class="paramname"><em>credential</em></td>
        </tr>
        <tr>
          <td class="paramkey">tlsCertPolicy:</td>
          <td></td>
          <td class="paramtype">(RTCTlsCertPolicy)&#160;</td>
          <td class="paramname"><em>NS_DESIGNATED_INITIALIZER</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_ice_server.html">RTCIceServer</a> with its associated URLs, optional username, optional credential, and TLS cert policy. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="ae1d4a295bdf4b7fc69608cf17db3ce40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1d4a295bdf4b7fc69608cf17db3ce40">&#9670;&nbsp;</a></span>credential</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) credential</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Credential to use if this <a class="el" href="interface_r_t_c_ice_server.html">RTCIceServer</a> object is a TURN server. </p>

</div>
</div>
<a id="aaa6732bce2c22d0f0c3d70b670fd85d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa6732bce2c22d0f0c3d70b670fd85d4">&#9670;&nbsp;</a></span>tlsCertPolicy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (RTCTlsCertPolicy) tlsCertPolicy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>TLS certificate policy to use if this <a class="el" href="interface_r_t_c_ice_server.html">RTCIceServer</a> object is a TURN server. </p>

</div>
</div>
<a id="ab6483fe8d81313902ef7a66637c34b53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6483fe8d81313902ef7a66637c34b53">&#9670;&nbsp;</a></span>urlStrings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSArray&lt;NSString *&gt;*) urlStrings</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>URI(s) for this server represented as NSStrings. </p>

</div>
</div>
<a id="a0a3a091963a9843202b679bf8ca17cf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a3a091963a9843202b679bf8ca17cf5">&#9670;&nbsp;</a></span>username</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) username</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Username to use if this <a class="el" href="interface_r_t_c_ice_server.html">RTCIceServer</a> object is a TURN server. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_r_t_c_ice_server_8h_source.html">RTCIceServer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
